Skip to main content
GET
/
accounts
/
{account_id}
/
distributions
/
{distribution_id}
/
release_triggers
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/distributions/:distribution_id/release_triggers" \
  -u USERNAME_OR_ACCESS_TOKEN
phrase release_triggers list \
--account_id <account_id> \
--distribution_id <distribution_id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/accounts/{account_id}/distributions/{distribution_id}/release_triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "locales": [
      {
        "id": "abcd1234cdef1234abcd1234cdef1234",
        "name": "English",
        "code": "en-GB"
      }
    ],
    "branch": "my-feature-branch",
    "tags": [
      "android",
      "feature1"
    ],
    "cron_schedule": "15 18 * * 1,3",
    "time_zone": "Europe/Berlin",
    "next_run_at": "2015-01-28T09:52:53Z",
    "app_min_version": "1.0.0",
    "app_max_version": "2.0.0",
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z"
  }
]

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

distribution_id
string
required

Distribution ID

Response

OK

id
string
branch
string
cron_schedule
string

Cron schedule for the scheduler. Read more about the format of this field at https://en.wikipedia.org/wiki/Cron

time_zone
string

Time zone for the scheduler

next_run_at
string<date-time>

The next time a release will be created for this trigger

app_min_version
string
app_max_version
string
locales
locale_preview · object[]
tags
string[]
created_at
string<date-time>
updated_at
string<date-time>